
Foreman - Bug #4828

Rake 10.2.0 breaks Ruby 1.8 compatibility

03/25/2014 08:10 AM - Dominic Cleal

Status: Closed   

Priority: Urgent   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.4.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Rake 10.2.0 breaks Ruby 1.8 compatibility, it needs pinning.

Gem::InstallError: rake requires Ruby version >= 1.9.

An error occurred while installing rake (10.2.0), and Bundler cannot continue.

Make sure that `gem install rake -v '10.2.0'` succeeds before bundling.

Related issues:

Related to Foreman - Tracker #4656: Drop Ruby 1.8 support Closed

Associated revisions

Revision d59d2728 - 03/25/2014 10:07 AM - Dominic Cleal

fixes #4828 - pin rake for Ruby 1.8 compatibility

Revision b33445ad - 03/27/2014 01:54 PM - Dominic Cleal

fixes #4828 - pin rake for Ruby 1.8 compatibility

(cherry picked from commit d59d272874a0571fd768b2ff66bf3af1eef57488)

History

#1 - 03/25/2014 08:11 AM - Dominic Cleal

- Related to Tracker #4656: Drop Ruby 1.8 support added

#2 - 03/25/2014 08:13 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1324

#3 - 03/25/2014 10:31 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d59d272874a0571fd768b2ff66bf3af1eef57488.

#4 - 04/18/2014 01:40 AM - Dominic Cleal

- translation missing: en.field_release changed from 9 to 4

#5 - 05/07/2014 10:09 AM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 17
